Bug 996082 - [rhevm_33] - Backend - Cannot run a vm (Cannot run VM. VM is running)
[rhevm_33] - Backend - Cannot run a vm (Cannot run VM. VM is running)
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
Unspecified Unspecified
high Severity urgent
: ---
: 3.3.0
Assigned To: Omer Frenkel
: Regression, Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-08-12 07:32 EDT by David Botzer
Modified: 2015-09-22 09 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-22 10:10:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Engine-logs (58.66 KB, application/x-gzip)
2013-08-12 07:32 EDT, David Botzer
no flags Details
vdsm-101 (930.70 KB, application/x-gzip)
2013-08-12 07:34 EDT, David Botzer
no flags Details
host-mem-general (79.25 KB, image/png)
2013-08-12 07:38 EDT, David Botzer
no flags Details

  None (edit)
Description David Botzer 2013-08-12 07:32:09 EDT
Created attachment 785654 [details]

Description of problem:
Clean installation with 1 host & one VM, cannot run VM
I get error when trying to run a vm,
Error while executing action:
   * Cannot run VM. VM is running. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Clean install rhevm+dwh
2.create a VM from template or Blank 
3.Try to run any VM

Actual results:
Failed with inappropriate error

Error while executing action:
   * Cannot run VM. VM is running. 
Error while executing action Run VM once: Internal Engine Error

Expected results:
Any VM should be able to run, or an appropriate error message suggesting the error should be displayed

Additional info:
Error while executing action Run VM once: Internal Engine Error

2013-08-12 14:20:42,652 ERROR [org.ovirt.engine.core.bll.RunVmCommand] (pool-5-thread-6) [3bb21a0c] Command org.ovirt.engine.core.bll.RunVmCommand throw exception: java.lang.NullPointerException
        at org.ovirt.engine.core.bll.VDSBrokerFrontendImpl.RunAsyncVdsCommand(VDSBrokerFrontendImpl.java:56) [bll.jar:]
        at org.ovirt.engine.core.bll.RunVmCommand.createVm(RunVmCommand.java:471) [bll.jar:]
        at org.ovirt.engine.core.bll.RunVmCommand.runVm(RunVmCommand.java:237) [bll.jar:]
        at org.ovirt.engine.core.bll.RunVmCommand.executeVmCommand(RunVmCommand.java:307) [bll.jar:]
        at org.ovirt.engine.core.bll.VmCommand.executeCommand(VmCommand.java:85) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeWithoutTransaction(CommandBase.java:1128) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:1213) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:1860) [bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInSuppressed(TransactionSupport.java:174) [utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:116) [utils.jar:]
        at org.ovirt.engine.core.bll.CommandBase.execute(CommandBase.java:1231) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeAction(CommandBase.java:365) [bll.jar:]
        at org.ovirt.engine.core.bll.MultipleActionsRunner.executeValidatedCommand(MultipleActionsRunner.java:175) [bll.jar:]
        at org.ovirt.engine.core.bll.MultipleActionsRunner.RunCommands(MultipleActionsRunner.java:156) [bll.jar:]
        at org.ovirt.engine.core.bll.SortedMultipleActionsRunnerBase.RunCommands(SortedMultipleActionsRunnerBase.java:17) [bll.jar:]
        at org.ovirt.engine.core.bll.MultipleActionsRunner$1.run(MultipleActionsRunner.java:94) [bll.jar:]
        at org.ovirt.engine.core.utils.threadpool.ThreadPoolUtil$InternalWrapperRunnable.run(ThreadPoolUtil.java:71) [utils.jar:]
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471) [rt.jar:1.7.0_25]
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334) [rt.jar:1.7.0_25]
        at java.util.concurrent.FutureTask.run(FutureTask.java:166) [rt.jar:1.7.0_25]
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [rt.jar:1.7.0_25]
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [rt.jar:1.7.0_25]
        at java.lang.Thread.run(Thread.java:724) [rt.jar:1.7.0_25]

2013-08-12 14:20:42,665 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (pool-5-thread-6) [3bb21a0c] Correlation ID: 3bb21a0c, Job ID: d7022d51-d2b6-4459-a597-578dd1ab3924, Call Stack: null, Custom Event ID: -1, Message: Failed to run VM Test-221 (User: admin@internal).
Comment 1 David Botzer 2013-08-12 07:34:17 EDT
Created attachment 785655 [details]
Comment 2 David Botzer 2013-08-12 07:38:16 EDT
Created attachment 785657 [details]
Comment 3 David Botzer 2013-08-12 08:10:31 EDT
I tried to workaround the issue & to change the default "MacPoolRanges"
rhevm-config -s MacPoolRanges=.......

As a result when I create new VM, all fields are empty
Comment 6 Michal Skrivanek 2013-08-22 08:33:53 EDT
which VM? name please. 
status of the host in GUI?
virsh -r list on the host?
Comment 7 David Botzer 2013-08-22 08:48:17 EDT
VM name is Test-221
Host status is Active

Setup doesnt exists anymore, so i cannot virsh list

   * Cannot run VM. VM is running.
Comment 8 Michal Skrivanek 2013-08-22 09:31:44 EDT
then there's little we can do. Assumption is the VM with the same name was already on the host, but that cannot be proven. As long as a reguler any other VM on any other setup can be run successfully this will need to be closed WORKSFORME...
Comment 9 David Botzer 2013-08-22 10:10:54 EDT

Note You need to log in before you can comment on or make changes to this bug.